; --- "Angle" command by Stig B. Madsen---
; --- Measures an angle and reports it on the command line.
; --- It prompts the user for the three points needed.
; --- The angle is measured clockwise from First leg to Second leg.
; --- The angle is expressed in degrees to 4 decimal places.
; --- The zero in the (angtos) function specifies degrees. Other options are:
; --- 1 = deg/min/sec,  2 = gradians, 3 = radians,  4 = surveyor units.
; --- The 4 specifies 4 decimal places.
(defun c:ANGLE (/ fp np lp ang)
  (setq fp (getpoint "Vertex: ")
        np (getpoint fp "First leg: ")
        lp (getpoint fp "Second leg: ")
        ang (- (angle fp lp)(angle fp np))
  )
  (princ (strcat "\nAngle = " (angtos ang 0 4)))
  (princ)
)